/**
 * Менеджер паблишеров.
 * <br>
 * <br>
 * **Доступ:**
 *
 * Централизированного доступа к паблишерам нет.
 *
 * Он осуществляется для каждого менеджера паблишеров в индивидальном порядке, под провайдером,
 *
 * который его содержит.
 * @group manager
 * @namespace Publishers
 */
function Publishers() {
    /**
     *  Вернет ссылку на провайдер паблишера.
     *  <br/>
     *  <br/>
     * Пример
     * ```
     * var some_provider = null;
     * some_provider.publisher_manager.get(new v2.address("some_publisher")).then(function(_ref){
     *     var model = _ref.value();
     *     // теперь можно работать с провайдером паблишера
     * }, function(_err){
     *     console.log("произошла ошибка")
     * });
     * ```
     * @public
     * @function get
     * @param {v2.address} address Адрес паблишера
     * @returns {tools.promise(Publishers.Publisher)}
     * @memberof Publishers
     */
    this.get = function (address) {

    };
}