/**
 * Менеджер доступа до переводов, которые предоставляет сервер.
 *
 * ```bash
 * // доступ
 * ps.pl.core_translations
 * ```
 *
 * @group manager
 * @namespace CoreTranslations
 * @extends manager
 */
function CoreTranslations() {

    /**
     * Возвращает JSON объект, который содержит переводы.
     *
     * @example
     * // Пример
     * var result = ps.pl.core_translations.translations();
     * var string = JSON.stringify(result, true, 3);
     *
     * // результат будет примерно такой
     * // "{
     * //     "RightEntities": {
     * //        "column": {
     * //           "additionals": "Дополнительно",
     * //           "contacts": "Контакты",
     * //           "description": "Описание",
     * //           "email": "email",
     * //           "id": "Идентификатор",
     * //           "name": "Имя",
     * //           "password": "Пароль",
     * //           "phone": "Телефон",
     * //           "position": "Расположение",
     * //           "surname": "Фамилия"
     * //        },
     * //        "titles": {
     * //           "Groups": "Список групп",
     * //            ...
     * //        },
     * //        ...
     * //     }
     * //     ...
     * // }"
     *
     * @public
     * @function translations
     * @memberof CoreTranslations
     * @returns {{}}
     */
    this.translations = function () {
        
    }
}